<?php
class ControllerModuleManufacturers extends Controller {
	public function index($setting) {
		$this->load->language('module/manufacturers');
		$this->document->addStyle('catalog/view/javascript/jquery/owl-carousel/owl.carousel.css');
		$this->document->addStyle('catalog/view/javascript/jquery/owl-carousel/owl.transitions.css');
		$this->document->addScript('catalog/view/javascript/jquery/owl-carousel/owl.carousel.min.js');
		
		$this->load->model('catalog/manufacturer');
		$this->load->model('tool/image'); 

		$data['heading_title'] = $this->language->get('heading_title');
		$data['width'] = $this->config->get('manufacturers_width');
		$data['height'] = $this->config->get('manufacturers_height');
		$data['speed'] = $this->config->get('manufacturers_speed');
		$data['slider'] = $this->config->get('manufacturers_slider');
		$data['select'] = $this->config->get('manufacturers_select');
		$data['random'] = $this->config->get('manufacturers_random');
		
		$results = $this->model_catalog_manufacturer->getManufacturers();

		foreach ($results as $result) {
				$data['manufacturers'][] = array(
					'name' => $result['name'],
					'href' => $this->url->link('product/manufacturer/info', 'manufacturer_id=' . $result['manufacturer_id']),					
					'image' => $this->model_tool_image->resize($result['image'], $data['width'], $data['height'])
				);
				$data['manslides'] = $data['manufacturers'];
		}

		return $this->load->view('default/template/module/manufacturers.tpl', $data);
	}
}